Issue1122

classification
Title: os.kill is not implemented
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: fwierzbicki, glyph, nriley, zyasoft
Priority: Keywords: twisted

Created on 2008-09-06.16:39:16 by glyph, last changed 2008-12-29.19:50:17 by zyasoft.

Messages
msg3475 (view) Author: Glyph Lefkowitz (glyph) Date: 2008-09-06.16:39:16
Twisted needs this in order to not consider jython a "windows" environment.

Granted, Twisted should probably be fixed - but we'd need some other way
to discover the presence of other processes.  It would be nice if at
least kill(0) worked.
msg3480 (view) Author: Nicholas Riley (nriley) Date: 2008-09-07.00:32:20
jna-posix does implement kill, so it shouldn't be too hard on unix-like 
platforms, but that doesn't help Windows.  Do you want us to special-case 
pid 0 there, and if so, what signals should we respond to?
msg3481 (view) Author: Glyph Lefkowitz (glyph) Date: 2008-09-07.02:00:41
I didn't mean pid 0, sorry, I should have been more specific: the most
basic functionality that Twisted requires 'kill' for is implementing
lockfiles.  It writes a pid to a file, then uses signal 0 to detect
whether the other process still exists.
msg3988 (view) Author: Jim Baker (zyasoft) Date: 2008-12-29.19:50:17
Fixed for posix platforms in r5805. os.kill is not supported on CPython
for Windows anyway, so that address Nicholas' concern.
History
Date User Action Args
2008-12-29 19:50:17zyasoftsetstatus: open -> closed
nosy: + zyasoft
resolution: fixed
messages: + msg3988
2008-11-01 13:50:36fwierzbickisetnosy: + fwierzbicki
2008-11-01 13:50:07fwierzbickisetcomponents: + Core
2008-09-07 02:00:42glyphsetmessages: + msg3481
2008-09-07 00:32:21nrileysetnosy: + nriley
messages: + msg3480
2008-09-06 20:02:30nrileysetkeywords: + twisted
2008-09-06 16:39:16glyphcreate